clang-tools 8.0.0

Classes | Namespaces | Functions
ClangdLSPServer.cpp File Reference
`#include "ClangdLSPServer.h"`
`#include "Diagnostics.h"`
`#include "SourceCode.h"`
`#include "Trace.h"`
`#include "URI.h"`
`#include "llvm/ADT/ScopeExit.h"`
`#include "llvm/Support/Errc.h"`
`#include "llvm/Support/FormatVariadic.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/ScopedPrinter.h"`
Include dependency graph for ClangdLSPServer.cpp:

Go to the source code of this file.

## Classes
class | clang::clangd::ClangdLSPServer::MessageHandler

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
static std::vector< SymbolInformation > | clang::clangd::flattenSymbolHierarchy (llvm::ArrayRef< DocumentSymbol > Symbols, const URIForFile &FileURI)
| The functions constructs a flattened view of the DocumentSymbol hierarchy. More...
static llvm::Optional< Command > | clang::clangd::asCommand (const CodeAction &Action)